<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: data_xx_defs::i1_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedata__xx__defs.html">data_xx_defs</a></li><li class="navelem"><a class="el" href="structdata__xx__defs_1_1i1__.html">i1_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdata__xx__defs_1_1i1__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">data_xx_defs::i1_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for data_xx_defs::i1_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structdata__xx__defs_1_1i1____coll__graph.png" border="0" usemap="#data__xx__defs_1_1i1___coll__map" alt="Collaboration graph"/></div>
<map name="data__xx__defs_1_1i1___coll__map" id="data__xx__defs_1_1i1___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aab0a7848e275187f644a09410f00877b"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#aab0a7848e275187f644a09410f00877b">name</a></td></tr>
<tr class="separator:aab0a7848e275187f644a09410f00877b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec932ac42fd6e77c266c657d06cd791"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a9ec932ac42fd6e77c266c657d06cd791">sub_name</a></td></tr>
<tr class="separator:a9ec932ac42fd6e77c266c657d06cd791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ffff2ae25feb3f01cb25622447699d5"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a3ffff2ae25feb3f01cb25622447699d5">data_type</a></td></tr>
<tr class="separator:a3ffff2ae25feb3f01cb25622447699d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a222a4edeb70123089baaef04f3e9564b"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a222a4edeb70123089baaef04f3e9564b">usage</a></td></tr>
<tr class="separator:a222a4edeb70123089baaef04f3e9564b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabce125b99f13913dd24e5d86ed9cc75"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#aabce125b99f13913dd24e5d86ed9cc75">readwrite_flag</a></td></tr>
<tr class="separator:aabce125b99f13913dd24e5d86ed9cc75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50755970608f4cfaa4aecb8186e8b989"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a50755970608f4cfaa4aecb8186e8b989">auto_register_flag</a></td></tr>
<tr class="separator:a50755970608f4cfaa4aecb8186e8b989"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae154e7753a1cca75db46678c52aa1e88"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#ae154e7753a1cca75db46678c52aa1e88">dump_flag</a></td></tr>
<tr class="separator:ae154e7753a1cca75db46678c52aa1e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10450f5366c0fe4baf196faad787340c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a10450f5366c0fe4baf196faad787340c">flag</a></td></tr>
<tr class="separator:a10450f5366c0fe4baf196faad787340c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a258dd4e7db4f62887ec8651a2f4450b7"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a258dd4e7db4f62887ec8651a2f4450b7">d</a></td></tr>
<tr class="separator:a258dd4e7db4f62887ec8651a2f4450b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1936cdccd94e72582492a946930486c6"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1i1__.html">i1_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1i1__.html#a1936cdccd94e72582492a946930486c6">next</a></td></tr>
<tr class="separator:a1936cdccd94e72582492a946930486c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a50755970608f4cfaa4aecb8186e8b989"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50755970608f4cfaa4aecb8186e8b989">&#9670;&nbsp;</a></span>auto_register_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::i1_::auto_register_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a258dd4e7db4f62887ec8651a2f4450b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a258dd4e7db4f62887ec8651a2f4450b7">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:), pointer data_xx_defs::i1_::d</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ffff2ae25feb3f01cb25622447699d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ffff2ae25feb3f01cb25622447699d5">&#9670;&nbsp;</a></span>data_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::i1_::data_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae154e7753a1cca75db46678c52aa1e88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae154e7753a1cca75db46678c52aa1e88">&#9670;&nbsp;</a></span>dump_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::i1_::dump_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10450f5366c0fe4baf196faad787340c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10450f5366c0fe4baf196faad787340c">&#9670;&nbsp;</a></span>flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::i1_::flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab0a7848e275187f644a09410f00877b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab0a7848e275187f644a09410f00877b">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::i1_::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1936cdccd94e72582492a946930486c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1936cdccd94e72582492a946930486c6">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1i1__.html">i1_</a>), pointer data_xx_defs::i1_::next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabce125b99f13913dd24e5d86ed9cc75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabce125b99f13913dd24e5d86ed9cc75">&#9670;&nbsp;</a></span>readwrite_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::i1_::readwrite_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ec932ac42fd6e77c266c657d06cd791"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ec932ac42fd6e77c266c657d06cd791">&#9670;&nbsp;</a></span>sub_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::i1_::sub_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a222a4edeb70123089baaef04f3e9564b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a222a4edeb70123089baaef04f3e9564b">&#9670;&nbsp;</a></span>usage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::i1_::usage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="data__xx__defs_8f90.html">data_xx_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
